# rest

{% hint style="info" %}
Shopify REST Admin API is deprecated. You should use Shopify GraphQL Admin API and [graphql](/liquid/tags/graphql.md) tag.
{% endhint %}

`rest` will allow you to perform Shopify actions with use of Shopify REST API.

It accepts a JSON object as a parameter.

Here is an example input object that would be used to create fulfillment via REST API.

```javascript
{% json rest_input %}
  {
    "path": "/orders/1234567/fulfillments.json",
    "method": "POST",
    "body": {
      "fulfillment": {
        "location_id": "98765431",
        "notify_customer": false,
        "status": "success"
      }
    }
  }
{% endjson %}
```

Above can be used together with `rest` filter to create fulfillment for order: 1234567.

```javascript
{% assign fulfillment_result = rest_input | rest %}
```

`fulfillment_result` is going to store response returned from shopify. If we want to access newly created fulfillment we would do with with following syntax: `fulfillment_result.body.fulfillment`

`rest` input object has one required parameter which is `path`. You can always look up path for every Shopify resource in official Shopify REST documentation:

{% embed url="<https://shopify.dev/docs/admin-api/rest/reference>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datajet-app.com/liquid/filters/rest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
